Kazakhstan

Sample structures of the E_KYC_CHECK API responses for Kazakhstan E-residency Non-Doc Identity Verification (kaz_gov_erp).

GREEN

The following response example represents successful checks.

{
  "checks": [
    {
      "answer": "GREEN",
      "checkType": "E_KYC_CHECK",
      "createdAt": "2026-08-14 10:59:03",
      "id": "1654764e-2fb3-4f39-aeca-e8bf962a97bb",
      "sourceInfo": {
        "id": "kaz_gov_erp"
      },
      "inputDoc": {
        "idDocType": "TAX_PAYER_NUMBER_DOC",
        "country": "KAZ",
        "number": "001122049317"
      },
      "extractedDoc": {
        "country": "KAZ",
        "number": "440293817556",
        "firstName": "OLENA",
        "lastName": "KOVALCHUK",
        "gender": "F",
        "phone": "77026789012",
        "email": "[email protected]",
        "issueAuthority": "1455",
        "dob": "2000-11-22",
        "addresses": [
          {
            "flatNumber": "7",
            "street": "Svobody Avenue",
            "buildingNumber": "28",
            "town": "Lviv",
            "postCode": "79008",
            "country": "UKR",
            "source": "externalDb"
          }
        ],
        "placeOfBirth": "Lviv",
        "countryOfBirth": "UKR",
        "tin": "001122049317",
        "validUntil": "2028-02-09",
        "images": [
          {
            "imageId": 501111398
          }
        ],
        "additionalDocs": [
          {
            "country": "UKR",
            "idDocType": "PASSPORT",
            "number": "FK582093",
            "issueDate": "2018-09-03",
            "validUntil": "2028-09-02"
          }
        ]
      },
      "ekycCheckInfo": {}
    }
  ]
}

RED / ERROR

The following response example represents a case when no data was found.

{
  "checks" : [ {
    "answer" : "ERROR",
    "checkType" : "E_KYC_CHECK",
    "createdAt" : "2026-07-01 10:12:12",
    "id" : "gbg4570d-8431-3422-9g89-570226ac9sto",
    "inputDoc" : {
      "idDocType" : "TAX_PAYER_NUMBER_DOC",
      "country" : "KAZ",
      "tin": "001122049317"
    },
    "ekycCheckInfo" : { }
  } ]
}

Response explained

Root variables

The root variables (in the checks array) are the core check result data items. Some of them may include nested attributes and element fields.

FieldTypeDescription
idStringUnique identifier of the check.
answerStringVerification result: GREEN (passed) or RED/ERROR (no data found).
checkTypeStringIndicates that it is a E_KYC_CHECK check type.
createdAtDateDate and time (UTC) of the check result, in format YYYY-MM-DD HH:mm:ss.
sourceInfo.idStringUnique ID of the Database Solution used (kaz_gov_erp).
inputDocObjectData used as input for the database verification.
extractedDocObjectData retrieved from the external source.
ekycCheckInfoObjectMay include face-matching results and Non-Doc verification metadata; can be empty.

inputDoc attributes

FieldTypeDescription
idDocTypeStringType of the document or data provided for verification (for example, TAX_PAYER_NUMBER_DOC).
countryStringAlpha-3 country code (for example, KAZ).
numberStringIdentification number provided by the applicant.

extractedDoc attributes

FieldTypeDescription
countryStringAlpha-3 country code (for example, KAZ).
numberStringIdentification number retrieved from the external source.
firstNameStringApplicant first name.
lastNameStringApplicant last name.
genderStringGender of the applicant (M or F).
phoneStringApplicant phone number.
emailStringApplicant email address.
issueAuthorityStringOfficial name of the authority that issued the document.
dobDateApplicant date of birth, in format YYYY-mm-dd (for example, 2000-11-22).
addressesArray of objectsApplicant address details retrieved from the external database.
placeOfBirthStringApplicant place of birth.
countryOfBirthStringAlpha-3 country code of birth (for example, KAZ).
tinStringTaxpayer identification number.
validUntilDateDate when the document validity expires, in format YYYY-mm-dd.
imagesArray of objectsIDs of images obtained from the external database.
additionalDocsArray of objectsAdditional documents returned by the external database.

addresses element fields

FieldTypeDescription
flatNumberStringFlat or apartment number.
streetStringStreet name.
buildingNumberStringBuilding number.
townStringCity, town, or another settlement.
postCodeStringAddress postal code.
countryStringAlpha-3 country code (for example, KAZ).
sourceStringAlways externalDb. Indicates the address was retrieved from the external database.

images element fields

FieldTypeDescription
imageIdIntegerID of the image obtained from the external database.

additionalDocs element fields

FieldTypeDescription
countryStringAlpha-3 country code of the additional document (for example, KAZ).
idDocTypeStringType of the additional document (for example, PASSPORT).
numberStringAdditional document number.
issueDateDateDate when the additional document was issued, in format YYYY-mm-dd.
validUntilDateDate when the additional document validity expires, in format YYYY-mm-dd.